package me.chyxion.tigon.mybatis;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * 2017/1/23 17:04
 */
class IsNotNullSearchProcessor extends AbstractSearchProcessor {

    /**
     * {@inheritDoc}
     */
    @Override
    public CriterionType type() {
        return CriterionType.IS_NOT_NULL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    void doProcess(SearchProcessArgs args) {
        args.append(args.getCol() + " is not null");
    }
}
